# Transactional tax

The transactional tax report aggregates every tax-relevant transaction into one file, combining order and product identifiers, channel and legal entity, processing amounts and currency, full tax breakdown, include type, rate, taxable and tax amounts, location, and BIN/IP geography for delivering a concise, high-level view of liabilities across entities and jurisdictions.

In a successful response, you receive a link to the file report_url.


  The tax data are in a CSV file, which can be found at the link.

Endpoint: POST /transactional
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `date_from` (string, required)
    Start datetime for the report stated in UTC+0.
    Example: "2025-01-15 11:00:00"

  - `date_to` (string, required)
    End datetime for the report stated in UTC+0.
    Example: "2025-06-20 13:00:00"

  - `environment` (string)
    Environment for the transactional tax report.
- live – live environment, containing live data
- sandbox – testing environment with non-live data
- all – includes data from both live and sandbox environments
    Enum: "live", "sandbox", "all"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `report_url` (string)
        URL for the report stored on Amazon S3, which needs to be downloaded.
        Example: "https://reports.solidgate.com/api/v1/tax/transactional/report/tax_transactional_250702_140728/download"
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]


